Runtime

## org.eclipse.gmf.runtime.common.ui.services.elementselection
Class MatchingObjectEventType

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.elementselection.MatchingObjectEventType

public class MatchingObjectEventType
extends java.lang.Object

Interface describing the type of the matching object event for the element selection service.

Field Summary
`static MatchingObjectEventType` `END_OF_MATCHES` A matching object event signaling that there are no more matching objects.
`static MatchingObjectEventType` `MATCH` A matching object event that contains a matching object.

Constructor Summary
`MatchingObjectEventType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MATCH

    public static final MatchingObjectEventType MATCH

  A matching object event that contains a matching object.

### END_OF_MATCHES

    public static final MatchingObjectEventType END_OF_MATCHES

  A matching object event signaling that there are no more matching objects. This event does not contain a matching object and there are no further events to be received.

Constructor Detail

### MatchingObjectEventType

    public MatchingObjectEventType()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.